Get Ticket States
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SERVICENOW_GET_TICKET_STATES",
"parameters": {}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES"
payload = {
"tool": "SERVICENOW_GET_TICKET_STATES",
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool: 'SERVICENOW_GET_TICKET_STATES', parameters: {}})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SERVICENOW_GET_TICKET_STATES',
'parameters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES"
payload := strings.NewReader("{\n \"tool\": \"SERVICENOW_GET_TICKET_STATES\",\n \"parameters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SERVICENOW_GET_TICKET_STATES\",\n \"parameters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SERVICENOW_GET_TICKET_STATES\",\n \"parameters\": {}\n}"
response = http.request(request)
puts response.read_body[
{
"value": "1",
"label": "New"
},
{
"value": "2",
"label": "In Progress"
},
{
"value": "3",
"label": "On Hold"
},
{
"value": "6",
"label": "Resolved"
},
{
"value": "7",
"label": "Closed"
},
{
"value": "8",
"label": "Canceled"
}
]Tools
Get Ticket States
POST
/
projects
/
{project_id}
/
tools
/
#SERVICENOW_GET_TICKET_STATES
Get Ticket States
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SERVICENOW_GET_TICKET_STATES",
"parameters": {}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES"
payload = {
"tool": "SERVICENOW_GET_TICKET_STATES",
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool: 'SERVICENOW_GET_TICKET_STATES', parameters: {}})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SERVICENOW_GET_TICKET_STATES',
'parameters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES"
payload := strings.NewReader("{\n \"tool\": \"SERVICENOW_GET_TICKET_STATES\",\n \"parameters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SERVICENOW_GET_TICKET_STATES\",\n \"parameters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_GET_TICKET_STATES")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SERVICENOW_GET_TICKET_STATES\",\n \"parameters\": {}\n}"
response = http.request(request)
puts response.read_body[
{
"value": "1",
"label": "New"
},
{
"value": "2",
"label": "In Progress"
},
{
"value": "3",
"label": "On Hold"
},
{
"value": "6",
"label": "Resolved"
},
{
"value": "7",
"label": "Closed"
},
{
"value": "8",
"label": "Canceled"
}
]Provider API: ServiceNow Table API (v2 for list and search Tools, v1 for single-record Tools).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
Body
application/json
Response
200 - application/json
An array of the states available for the ticket type, each with the value to send to ServiceNow and its display label. The response is not paginated.